Bug 433093 - pirut crashes after installation of package
pirut crashes after installation of package
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-16 01:49 EST by KUMAR KRiSHNA
Modified: 2008-05-28 15:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-28 15:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Error report generated by pirut while crashing (974 bytes, text/plain)
2008-02-16 01:49 EST, KUMAR KRiSHNA
no flags Details

  None (edit)
Description KUMAR KRiSHNA 2008-02-16 01:49:53 EST
Description of problem: 
Pirut crashes after installing any package.

Version-Release number of selected component (if applicable):
pirut - 1.3.28-1.fc8.noarch

How reproducible:

Steps to Reproduce:
1.Open pirut. select any package to install
2.Select any package to install
3.error generated as soon as package installation complete
4. Crashes
Actual results:
Errorreport generated and crashes

Expected results:

Additional info:
Comment 1 KUMAR KRiSHNA 2008-02-16 01:49:53 EST
Created attachment 295063 [details]
Error report generated by pirut while crashing
Comment 2 James Antill 2008-02-16 16:00:30 EST
 Can you do "yum grouplist" and "yum repolist" from the command line?
Comment 3 KUMAR KRiSHNA 2008-02-17 12:14:17 EST
Yes I can do "yum grouplist" and "yum repolist" from the command line.
Comment 4 KUMAR KRiSHNA 2008-02-17 12:21:27 EST
I am using yum to install software from local fedora and livna repositories.
Comment 5 James Antill 2008-02-17 15:11:51 EST
 I expected you could ... I meant could you post the output of those commands?
Comment 6 KUMAR KRiSHNA 2008-02-17 15:46:20 EST
Here they are:

[root@f22raptor Desktop]$ yum repolist
repo id              repo name                                 status
Fedora 8 Updates loc Fedora Updates Repository (Local)         enabled
Fedora-8-Base-local  Fedora Base Repository (Local)            enabled
livna repository     local livna repository                    enabled

[root@f22raptor Desktop]$ yum grouplist
Setting up Group Process
Comment 7 KUMAR KRiSHNA 2008-02-17 15:49:14 EST
This same problem occurs even when removing a package.
Comment 8 James Antill 2008-02-18 16:17:48 EST
 Ok, so your local repos don't have the groups data from Fedora ... you can fix
your problem by populating that information.

 We'll look at fixing this, but that'll be on a longer time frame.
Comment 9 KUMAR KRiSHNA 2008-02-19 09:31:08 EST
How should I do that?? (populating that information)
Comment 10 James Antill 2008-02-19 10:21:46 EST
 So picking a random mirror, for GA of Fedora 8 on .i386 you have:


...the second link being the group data, as from the repomd.xml file you have:

<data type="group">
<location href="repodata/Fedora-8-comps.xml"/>
<checksum type="sha">6b451ca21c05a7072ce2ee7f5af96d6ab3a1b0e8</checksum>

...if you are generating your own repomd.xml file you'll want to use the
--groupfile option, with that file, to put that info. in your own repomd.xml ...
if you are just copying the repomd.xml files from the Fedora repos. you probably
just need to download the groups data into your local repodata directory.
Comment 11 KUMAR KRiSHNA 2008-02-19 12:07:25 EST
FEDORA Rocks !!!

Note You need to log in before you can comment on or make changes to this bug.